Inventory transfer search - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/shipments/inventory-transfer/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "filters": [\
    {\
      "condition": "EQ",\
      "field": "transferShipment.shipmentNum",\
      "value": "Shipment_112255"\
    },\
    {\
      "condition": "IN",\
      "field": "transferShipment.cartons.cartonNum",\
      "values": [\
        "Tracking_*"\
      ]\
    }\
  ],
  "sort": "-transferShipment.shipDate"
}
'```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/shipments/inventory-transfer/search"

payload = {
    "filters": [\
        {\
            "condition": "EQ",\
            "field": "transferShipment.shipmentNum",\
            "value": "Shipment_112255"\
        },\
        {\
            "condition": "IN",\
            "field": "transferShipment.cartons.cartonNum",\
            "values": ["Tracking_*"]\
        }\
    ],
    "sort": "-transferShipment.shipDate"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    filters: [\
      {\
        condition: 'EQ',\
        field: 'transferShipment.shipmentNum',\
        value: 'Shipment_112255'\
      },\
      {\
        condition: 'IN',\
        field: 'transferShipment.cartons.cartonNum',\
        values: ['Tracking_*']\
      }\
    ],
    sort: '-transferShipment.shipDate'
  })
};

fetch('https://api.fabric.inc/v3/shipments/inventory-transfer/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.fabric.inc/v3/shipments/inventory-transfer/search",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'filters' => [\
        [\
                'condition' => 'EQ',\
                'field' => 'transferShipment.shipmentNum',\
                'value' => 'Shipment_112255'\
        ],\
        [\
                'condition' => 'IN',\
                'field' => 'transferShipment.cartons.cartonNum',\
                'values' => [\
                                'Tracking_*'\
                ]\
        ]\
    ],\
    'sort' => '-transferShipment.shipDate'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json",\
    "x-fabric-channel-id: <x-fabric-channel-id>",\
    "x-fabric-tenant-id: <x-fabric-tenant-id>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response

Successful Response

{
  "data": [\
    {\
      "shipFrom": {\
        "locationNumber": "WH334",\
        "locationName": "Store1",\
        "locationType": "STORE",\
        "shipFromAddress": {\
          "address1": "House No 129",\
          "address2": "10 Downing Street",\
          "address3": "Bakers Colony",\
          "address4": "Near ABC School",\
          "city": "Beaumont",\
          "country": "USA",\
          "email": "test@example.com",\
          "latitude": 35.294952,\
          "longitude": 32.294952,\
          "name": {\
            "first": "John",\
            "last": "Doe",\
            "middle": "M"\
          },\
          "phone": {\
            "number": "+10612345678",\
            "type": "MOBILE"\
          },\
          "postalCode": "77705",\
          "state": "TX",\
          "type": "residence"\
        }\
      },\
      "shipTo": {\
        "locationNumber": "WH334",\
        "locationName": "Store1",\
        "locationType": "STORE",\
        "shipToAddress": {\
          "addressLine1": "254 House number",\
          "addressLine2": "888 Broadway",\
          "addressLine3": "17th street",\
          "addressLine4": "Pearl",\
          "city": "New York",\
          "country": "USA",\
          "latitude": 134.13413,\
          "longitude": 757.0435,\
          "postalCode": "1003",\
          "state": "NY",\
          "type": "home"\
        },\
        "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"\
      },\
      "shipmentNumber": "78974156816152",\
      "transferId": "112345678912340",\
      "transferNumber": "112345678912340",\
      "attributes": {\
        "attribute1": "value"\
      },\
      "auditLogs": [\
        {\
          "auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",\
          "auditType": "CANCEL",\
          "auditedAt": "2023-03-12T09:24:54.804Z",\
          "employeeId": "6227",\
          "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
          "note": "Note",\
          "reasonCode": "Scratched item",\
          "source": "POS",\
          "subReasonCode": "Scratched item",\
          "updatedFields": [\
            {\
              "fieldName": "UOM",\
              "fieldOriginalValue": "PK"\
            }\
          ]\
        }\
      ],\
      "cartons": [\
        {\
          "attributes": {\
            "attribute1": "value"\
          },\
          "cartonNumber": "1",\
          "cartonType": "Package",\
          "estimatedDeliveryDate": "2022-05-26T07:58:30.996Z",\
          "estimatedShipmentDate": "2022-05-25T07:58:30.996Z",\
          "items": [\
            {\
              "adjustments": [\
                {\
                  "adjustmentQuantity": 2,\
                  "attributes": {\
                    "attribute1": "value"\
                  },\
                  "reasonCode": "DAMAGED",\
                  "subReasonCode": "DAMAGED"\
                }\
              ],\
              "attributes": {\
                "attribute1": "value"\
              },\
              "channelId": "12",\
              "deliveredQuantity": 2,\
              "itemId": "100023",\
              "lineItemId": "1",\
              "packedQuantity": 2,\
              "receivedQuantity": 2,\
              "segment": "<string>",\
              "shipmentLineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
              "shippedQuantity": 2,\
              "sku": "SKU0023",\
              "stockedQuantity": 2,\
              "uom": "EA",\
              "vendorId": "vend12346667"\
            }\
          ],\
          "promisedDeliveryDate": "2022-05-26T07:58:30.996Z",\
          "shipmentCarrier": "FEDEX",\
          "shipmentMethod": "ground",\
          "tracking": [\
            {\
              "event": "picked up",\
              "eventId": "627963716b19511e8a3a631b",\
              "eventRecordedAt": "2019-09-30T07:58:30.996Z",\
              "location": "Reno, NV",\
              "notes": {\
                "description": "Shipment picked up"\
              },\
              "shipmentCarrier": "FEDEX"\
            }\
          ],\
          "trackingNumber": "1Z999AA10123456784",\
          "trackingURL": "https://example.com/tracking",\
          "weight": "500 gram"\
        }\
      ],\
      "createdAt": "2022-06-06T07:58:30.996Z",\
      "deliveredAt": "2022-06-06T07:58:30.996Z",\
      "masterTrackingNumber": "TX112345678",\
      "poNumber": "1125",\
      "receivedAt": "2022-06-06T07:58:30.996Z",\
      "recipient": [\
        {\
          "email": "support@example.inc",\
          "name": {\
            "firstName": "Alex",\
            "lastName": "Doe",\
            "middleName": "E"\
          },\
          "phone": {\
            "number": "123-456-7890",\
            "type": "MOBILE"\
          }\
        }\
      ],\
      "shipmentId": "627963716b19511e8a3a631b",\
      "shippedAt": "2022-06-06T07:58:30.996Z",\
      "statusCode": "TRANSFER_SHIPMENT_CREATED",\
      "stockReleaseTimeStamp": "2022-06-06T07:58:30.996Z",\
      "subtype": "COD",\
      "totalCartons": 2,\
      "type": "TRANSFER",\
      "updatedAt": "2022-06-06T07:58:30.996Z",\
      "vendorId": "56"\
    }\
  ],\
  "pagination": {\
    "count": 1000,\
    "limit": 10,\
    "offset": 1\
  },\
  "stats": [\
    "<string>"\
  ]\
}

Error Responses

{
  "errors": [\
    {\
      "message": "Invalid request",\
      "type": "CLIENT_ERROR"\
    }\
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

Authorizations

Authorization string header required for Bearer authentication.

Headers